com.dandymadeproductions.scatterplot.data

## Class LineChartSeries

- java.lang.Object
- - com.dandymadeproductions.scatterplot.data.DataChartSeries
  - - com.dandymadeproductions.scatterplot.data.LineChartSeries

-     public class LineChartSeries
      extends DataChartSeries

  The LineChartSeries class provides the means to create an appropriate chart of either Line, Area, or Scatter data series. The object is meant to be a be of type XYSeries< Number, Number>.
  Version:
    1.2 11/21/2017
  Author:
    Dana M. Proctor

- - ### Field Summary

    - ### Fields inherited from class com.dandymadeproductions.scatterplot.data.DataChartSeries

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineChartSeries(java.lang.String seriesName)`
    `LineChartSeries(java.lang.String seriesName, boolean autoSort, boolean allowDuplicateXValues)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDataPoint(java.lang.Number xAxisNumber, java.lang.Number yAxisNumber)`
    `void` | `clear()`
    `org.jfree.data.xy.XYSeries` | `getDataSeries()`

    - ### Methods inherited from class com.dandymadeproductions.scatterplot.data.DataChartSeries

      `addDataPoint, addDataPoint, addDataPoint, setSeriesName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineChartSeries

          public LineChartSeries(java.lang.String seriesName)

    - #### LineChartSeries

          public LineChartSeries(java.lang.String seriesName,
                                 boolean autoSort,
                                 boolean allowDuplicateXValues)

  - ### Method Detail

    - #### addDataPoint

          public void addDataPoint(java.lang.Number xAxisNumber,
                                   java.lang.Number yAxisNumber)
                            throws org.jfree.data.general.SeriesException

      Overrides:
        `addDataPoint` in class `DataChartSeries`
      Throws:
        `org.jfree.data.general.SeriesException`

    - #### clear

          public void clear()

      Overrides:
        `clear` in class `DataChartSeries`

    - #### getDataSeries

          public org.jfree.data.xy.XYSeries getDataSeries()